Package io.axoniq.dataprotection.serialization

## Class CannotConvertBetweenTypesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.axoniq.dataprotection.serialization.CannotConvertBetweenTypesException

- All Implemented Interfaces:
    `Serializable`

      public class CannotConvertBetweenTypesException
      extends RuntimeException

  Exception indicating that a conversion is required between to upcasters, but there is no converter capable of doing the conversion.
  Since:
    2.0
  Author:
    Allard Buijze
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CannotConvertBetweenTypesException​(String message)` | Initializes the exception with the given `message`.
    `CannotConvertBetweenTypesException​(String message, Throwable cause)` | Initializing the exception with given `message` and `cause`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CannotConvertBetweenTypesException

          public CannotConvertBetweenTypesException​(String message)

      Initializes the exception with the given `message`.
      Parameters:
        `message` - The message describing the problem

    - #### CannotConvertBetweenTypesException

          public CannotConvertBetweenTypesException​(String message,
                                                    Throwable cause)

      Initializing the exception with given `message` and `cause`.
      Parameters:
        `message` - The message describing the problem
        `cause` - The original cause of the exception